<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_file.xsd">
    <system>
        <section id="sales_email">
            <group id="filoblu_extrma_email_order_changesize" translate="label" sortOrder="100" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Change Size Order</label>
                <field id="enabled" translate="label" type="select" sortOrder="0" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Enabled</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="identity" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Change Size Order Email Sender</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Identity</source_model>
                </field>
                <field id="template" translate="label" type="select" sortOrder="2" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Change Size Order Email Template</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Template</source_model>
                </field>
                <field id="guest_template" translate="label" type="select" sortOrder="3" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Change Size Order Email Template for Guest</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Template</source_model>
                </field>
                <field id="copy_to" translate="label comment" type="text" sortOrder="4" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Change Size Order Email Copy To</label>
                    <comment>Comma-separated</comment>
                </field>
                <field id="copy_method" translate="label" type="select" sortOrder="5" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Change Size Order Email Copy Method</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Method</source_model>
                </field>
            </group>
            <group id="magento_rma_received" translate="label" sortOrder="100" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>RMA Received</label>
                <field id="enabled" translate="label" type="select" sortOrder="0" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Enabled</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="identity" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>RMA Received Email Sender</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Identity</source_model>
                </field>
                <field id="template" translate="label" type="select" sortOrder="2" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>RMA Received Email Template</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Template</source_model>
                </field>
                <field id="guest_template" translate="label" type="select" sortOrder="3" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>RMA Received Email Template for Guest</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Template</source_model>
                </field>
                <field id="copy_to" translate="label comment" type="text" sortOrder="4" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Send RMA Received Email Copy To</label>
                    <comment>Comma-separated</comment>
                </field>
                <field id="copy_method" translate="label" type="select" sortOrder="5" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Send RMA Received Email Copy Method</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Method</source_model>
                </field>
            </group>
            <group id="magento_rma_processed_closed" translate="label" sortOrder="100" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>RMA Processed Closed</label>
                <field id="enabled" translate="label" type="select" sortOrder="0" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Enabled</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="identity" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>RMA Received Email Sender</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Identity</source_model>
                </field>
                <field id="template" translate="label" type="select" sortOrder="2" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>RMA Received Email Template</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Template</source_model>
                </field>
                <field id="guest_template" translate="label" type="select" sortOrder="3" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>RMA Received Email Template for Guest</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Template</source_model>
                </field>
                <field id="copy_to" translate="label comment" type="text" sortOrder="4" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Send RMA Received Email Copy To</label>
                    <comment>Comma-separated</comment>
                </field>
                <field id="copy_method" translate="label" type="select" sortOrder="5" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Send RMA Received Email Copy Method</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Method</source_model>
                </field>
            </group>
            <group id="magento_rma_closed" translate="label" sortOrder="100" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>RMA Closed</label>
                <field id="enabled" translate="label" type="select" sortOrder="0" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Enabled</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="identity" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>RMA Received Email Sender</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Identity</source_model>
                </field>
                <field id="template" translate="label" type="select" sortOrder="2" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>RMA Received Email Template</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Template</source_model>
                </field>
                <field id="guest_template" translate="label" type="select" sortOrder="3" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>RMA Received Email Template for Guest</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Template</source_model>
                </field>
                <field id="copy_to" translate="label comment" type="text" sortOrder="4" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Send RMA Received Email Copy To</label>
                    <comment>Comma-separated</comment>
                </field>
                <field id="copy_method" translate="label" type="select" sortOrder="5" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Send RMA Received Email Copy Method</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Method</source_model>
                </field>
            </group>
            <group id="filoblu_extrma_damaged_item_email" translate="label" sortOrder="200" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Damaged Rma Item</label>
                <field id="enabled" translate="label" type="select" sortOrder="0" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Enabled</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="identity" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Damaged Rma item  Email Sender</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Identity</source_model>
                </field>
                <field id="template" translate="label" type="select" sortOrder="2" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Damaged Rma item Email Template</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Template</source_model>
                </field>
                <field id="copy_to" translate="label comment" type="text" sortOrder="4" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Damaged Rma item Email Copy To</label>
                    <comment>Comma-separated</comment>
                </field>
                <field id="copy_method" translate="label" type="select" sortOrder="5" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Damaged Rma item  Email Copy Method</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Method</source_model>
                </field>
            </group>
            <group id="filoblu_extrma_wrong_item_email" translate="label" sortOrder="250" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Wrong Rma Item</label>
                <field id="enabled" translate="label" type="select" sortOrder="0" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Enabled</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="identity" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Wrong Rma item  Email Sender</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Identity</source_model>
                </field>
                <field id="template" translate="label" type="select" sortOrder="2" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Wrong Rma item Email Template</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Template</source_model>
                </field>
                <field id="copy_to" translate="label comment" type="text" sortOrder="4" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Wrong Rma item Email Copy To</label>
                    <comment>Comma-separated</comment>
                </field>
                <field id="copy_method" translate="label" type="select" sortOrder="5" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Wrong Rma item  Email Copy Method</label>
                    <source_model>Magento\Config\Model\Config\Source\Email\Method</source_model>
                </field>
            </group>
            <group id="creditmemo">
                <field id="force_sending" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Force CreditMemo Email</label>
                    <comment>Force CreditMemo Email Notification at the creation of the CreditMemo</comment>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
            </group>
        </section>
        <section id="sales">
            <group id="rma_reason" translate="label" type="text" sortOrder="900" showInDefault="1" showInWebsite="0" showInStore="0">
                <label>RMA reason mapping</label>
                <field id="reason" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>RMA reasons</label>
                    <frontend_model>FiloBlu\Rma\Block\Adminhtml\System\Config\Reason</frontend_model>
                    <backend_model>Magento\Config\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
                </field>
            </group>
            <group id="rma_resolutions_mapping" translate="label" type="text" sortOrder="950" showInDefault="1" showInWebsite="1" showInStore="0">
                <label>RMA resolution mapping</label>
                <field id="mapping" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>RMA Resolutions</label>
                    <frontend_model>FiloBlu\Rma\Block\Adminhtml\System\Config\RmaAttributes</frontend_model>
                    <backend_model>Magento\Config\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
                </field>
            </group>
            <group id="rma_validity_settings" translate="label" type="text" sortOrder="950" showInDefault="1" showInWebsite="1" showInStore="0">
                <label>RMA validity</label>
                <field id="validity_days" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="0" canRestore="1">
                    <label>Days after shipping - allow RMA request</label>
                    <comment>number of days</comment>
                </field>
                <field id="adminhtml_item_collection_logyc" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0" >
                    <label>Rma Item Collection: force to use qty invoiced instead of qty Shipped ad BE?</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
            </group>
            <group id="magento_rma">
                <field id="enabled" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Enable RMA on Storefront</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="enabled_on_product" translate="label" type="select" sortOrder="15" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Enable RMA on Product Level</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="use_store_address" translate="label" type="select" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Use Store Address</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="store_name" translate="label" type="text" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Contact Name</label>
                    <depends>
                        <field id="use_store_address">0</field>
                    </depends>
                </field>
                <field id="address" translate="label" type="text" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Street Address</label>
                    <depends>
                        <field id="use_store_address">0</field>
                    </depends>
                </field>
                <field id="address1" type="text" sortOrder="45" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Street Address Line 2</label>
                    <depends>
                        <field id="use_store_address">0</field>
                    </depends>
                </field>
                <field id="city" translate="label" type="text" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>City</label>
                    <depends>
                        <field id="use_store_address">0</field>
                    </depends>
                </field>
                <field id="region_id" translate="label" type="text" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>State/Province</label>
                    <depends>
                        <field id="use_store_address">0</field>
                    </depends>
                </field>
                <field id="zip" translate="label" type="text" sortOrder="70" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>ZIP/Postal Code</label>
                    <depends>
                        <field id="use_store_address">0</field>
                    </depends>
                </field>
                <field id="country_id" translate="label" type="select" sortOrder="80" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Country</label>
                    <frontend_class>countries</frontend_class>
                    <source_model>Magento\Directory\Model\Config\Source\Country</source_model>
                    <depends>
                        <field id="use_store_address">0</field>
                    </depends>
                </field>
            </group>
            <group id="extra_settings" translate="label" type="select" sortOrder="1000" showInDefault="1" showInWebsite="0" showInStore="0">
                <label>Extra Settings</label>
                <field id="enable_rma_use_config_plugin" showInDefault="1" showInStore="0" showInWebsite="0" sortOrder="10" translate="label" type="select">
                    <label>Enable Rma Use Config Plugin</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
            </group>
        </section>
        <section id="filoblu_disablerma_section" translate="label" type="text" sortOrder="100" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>RMA Configuration</label>
            <tab>filoblu_tab</tab>
            <resource>FiloBlu_RmaAdditionalData::disablermapersonalized_config</resource>
            <group id="rma_group" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="0">
                <label>RMA Configuration</label>
                <field id="allow_customized_product_return" translate="label comment" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Allow Customized Product Return</label>
                    <comment>Allow customers to return customized product</comment>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="allow_giftwrap_return" translate="label comment" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Allow Gift Wrap Return</label>
                    <comment>Allow customers to return gift wrap</comment>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="rma_option_carrier" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Allow User to choose a custom Carrier</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="rma_change_size" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="0">
                    <label>Allow User to choose Change Size Option</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="allowed_change_size_order_status" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Change Size Allowed Order Status</label>
                    <frontend_model>FiloBlu\Rma\Block\Adminhtml\System\Config\OrderStatus</frontend_model>
                    <backend_model>Magento\Config\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
                </field>
                <field id="rma_change_sizeorder_can_use_changesize" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="0">
                    <label>Can Change Size Order use changeSize Rma Option ?</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="rma_minimum_qty" translate="label" type="text" sortOrder="4" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Minimum Stock Quantity</label>
                    <comment>Show product size that have this minimum quantity in stock</comment>
                </field>
                <field id="show_oos_sizes_in_select" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Show OOS sizes in change size select</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="changesize_option_mapping" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Resolution Option to trigger Change Size</label>
                    <source_model>FiloBlu\Rma\Model\Config\Source\AttributesMapper</source_model>
                </field>
                <field id="rma_auto_authorized" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Enable auto approval by reason mapping (see Stores->Configuration->Sales->Sales->RMA reason mapping)</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="allowed_pickupinstore_order_status" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Allowed Pickupinstore Order Statuses</label>
                    <frontend_model>FiloBlu\Rma\Block\Adminhtml\System\Config\PickupInStoreAllowedStatuses</frontend_model>
                    <backend_model>Magento\Config\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
                </field>

                <field id="disallow_email_for_selected_order_status" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Disallow e-mail sending for selected Rma reason</label>
                    <frontend_model>FiloBlu\Rma\Block\Adminhtml\System\Config\ReasonToDisableEmail</frontend_model>
                    <backend_model>Magento\Config\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
                </field>

                <field id="rma_change_size_order_creation_strategy" translate="label comment" type="select" sortOrder="30" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Change Size Order Creation Strategy</label>
                    <comment>Change size order creation strategy to use in case of multiple returns made at same time</comment>
                    <source_model>FiloBlu\Rma\Model\Config\Source\OrderCreationStrategy</source_model>
                </field>
                <field id="add_shipping_costs" translate="label" type="select" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Add shipping costs</label>
                    <comment>Add same shipping costs like original order</comment>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="custom_attribute_value_label" translate="label" type="select" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Custom attribute value for size and color</label>
                    <comment>WARNING: Map this configuration only if you want to see a value of another attribute in change size order details</comment>
                    <frontend_model>FiloBlu\Rma\Block\Adminhtml\System\Config\CustomSizeValueLabel</frontend_model>
                    <backend_model>Magento\Config\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
                </field>
            </group>
            <group id="rma_additional_text_group" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>RMA Additional Text</label>
                <field id="rma_additional_text_enable" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Enable Rma additional text to display to customer ?</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="rma_additional_text" translate="label" type="text" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Text to display to the customer</label>
                </field>
            </group>
            <group id="easy_return_matrixrate_group" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Easy Return Configuration</label>
                <field id="easy_return_enable" translate="label" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Enable RMA Easy Return ?</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="hide_standard_return" translate="label" type="select" sortOrder="5" showInDefault="1" showInWebsite="1" showInStore="0">
                    <label>Force only Easy Return (hide standard return)</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="send_rma_auth_email" translate="label comment" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Send Rma Authorization E-mail</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                    <depends>
                        <field id="easy_return_enable">1</field>
                    </depends>
                </field>
                <field id="force_easy_return_when_change_size_enable" translate="label" type="select" sortOrder="15" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Force RMA Easy Return When Change Size ?</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="general_description_cms_block_identifier" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Refilo general description cms block identifier</label>
                </field>
                <field id="easy_rma_description_cms_block_identifier" translate="label" type="text" sortOrder="25" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Refilo easy rma description cms block identifier</label>
                </field>
                <field id="easy_rma_description2_cms_block_identifier" translate="label" type="text" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Refilo easy rma description2 cms block identifier</label>
                </field>
                <field id="normal_rma_description_cms_block_identifier" translate="label" type="text" sortOrder="35" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Refilo normal rma description cms block identifier</label>
                </field>


                <field id="condition_name" translate="label" type="select" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="0">
                    <label>Condition</label>
                    <source_model>FiloBlu\Rma\Model\Config\Source\Matrixrate</source_model>
                    <depends>
                        <field id="matrixrate_source">filoblu_easy_return_matrixrate</field>
                    </depends>
                </field>

                <field id="matrixrate_info" translate="label" type="label" sortOrder="50" showInDefault="1" showInWebsite="0" showInStore="1">
                    <label>Switch to website scope to configure Easy Return Matrixrate</label>
                    <depends>
                        <field id="matrixrate_source">filoblu_easy_return_matrixrate</field>
                    </depends>
                </field>
                <field id="matrixrate_source_easy_return" translate="label comment" type="select" sortOrder="45" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Matrixrate Source</label>
                    <source_model>FiloBlu\Rma\Model\Config\Source\MatrixrateSource</source_model>
                </field>
                <field id="export" translate="label" type="FiloBlu\Rma\Block\Adminhtml\Form\Field\Export" sortOrder="55" showInDefault="0" showInWebsite="1" showInStore="0">
                    <label>Export</label>
                    <depends>
                        <field id="matrixrate_source">filoblu_easy_return_matrixrate</field>
                    </depends>
                </field>
                <field id="import" translate="label" type="FiloBlu\Rma\Block\Adminhtml\Form\Field\Import" sortOrder="60" showInDefault="0" showInWebsite="1" showInStore="0">
                    <label>Import</label>
                    <backend_model>FiloBlu\Rma\Model\Config\Backend\EasyReturnRate</backend_model>
                    <depends>
                           <field id="matrixrate_source">filoblu_easy_return_matrixrate</field>
                    </depends>
                </field>
            </group>
            <group id="change_size_matrixrate_group" translate="label" type="select" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Change Size Configuration</label>
                <field id="condition_name" translate="label" type="select" sortOrder="4" showInDefault="1" showInWebsite="1" showInStore="0">
                    <label>Condition</label>
                    <source_model>FiloBlu\Rma\Model\Config\Source\Matrixrate</source_model>
                    <depends>
                        <field id="matrixrate_source">filoblu_change_size_matrixrate</field>
                    </depends>
                </field>
                <field id="matrixrate_source_change_size" translate="label comment" type="select" sortOrder="4" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Matrixrate Source</label>
                    <source_model>FiloBlu\Rma\Model\Config\Source\MatrixrateSource</source_model>
                </field>
                <field id="export" translate="label" type="FiloBlu\Rma\Block\Adminhtml\Form\Field\ExportChangeSizeMatrixRate" sortOrder="10" showInDefault="0" showInWebsite="1" showInStore="0">
                    <label>Export</label>
                    <depends>
                        <field id="matrixrate_source">filoblu_change_size_matrixrate</field>
                    </depends>
                </field>
                <field id="import" translate="label" type="FiloBlu\Rma\Block\Adminhtml\Form\Field\ImportChangeSize" sortOrder="20" showInDefault="0" showInWebsite="1" showInStore="0">
                    <label>Import</label>
                    <backend_model>FiloBlu\Rma\Model\Config\Backend\EasyReturnRate</backend_model>
                    <depends>
                        <field id="matrixrate_source">filoblu_change_size_matrixrate</field>
                    </depends>
                </field>
            </group>
            <group id="return_creation_policies_general_settings" translate="label" type="select" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Return Creation Policies general settings</label>

                <field id="active" showInDefault="1" showInStore="0" showInWebsite="0" sortOrder="10" translate="label" type="select">
                    <label>Policies check enabled</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>

                <field id="rma_status_to_skip_for_existing_rma_count" translate="label comment" type="multiselect" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Rma Statuses to skip</label>
                    <comment>Rma Statuses to skip for existing rma count duting return cration polcies apply</comment>
                    <source_model>FiloBlu\Rma\Model\Config\Source\RmaStatuses</source_model>
                </field>
            </group>
            <group id="return_creation_policies_first_return" translate="label" type="select" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Return Creation Policies for first return</label>
                <field id="policies" translate="label" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Policies</label>
                    <frontend_model>FiloBlu\Rma\Block\Adminhtml\System\Config\Policies</frontend_model>
                    <backend_model>FiloBlu\Rma\Model\Config\Backend\Policies</backend_model>
                </field>

            </group>
            <group id="return_creation_policies_by_second_return" translate="label" type="select" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Return Creation Policies for second return and above</label>
                <field id="policies" translate="label comment" type="select" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Policies</label>
                    <frontend_model>FiloBlu\Rma\Block\Adminhtml\System\Config\SecondaryRmaPlocies</frontend_model>
                    <backend_model>FiloBlu\Rma\Model\Config\Backend\ScondaryRmaPolicies</backend_model>
                </field>
            </group>
            <group id="return_creation_policies_by_item_reason" translate="label" type="select" sortOrder="35" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Return Creation Policies based on rma item reason</label>
                <field id="policies" translate="label comment" type="select" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Policies</label>
                    <frontend_model>FiloBlu\Rma\Block\Adminhtml\System\Config\RmaItemReasonPolicies</frontend_model>
                    <backend_model>FiloBlu\Rma\Model\Config\Backend\RmaItemReasonPolicies</backend_model>
                </field>
            </group>
            <group id="online_payment_refund_for_parent_order" translate="label" type="select" sortOrder="40" showInDefault="1" showInWebsite="0" showInStore="0">
                <label>Automatic online payment refund for parent order</label>
                <field id="enabled_online_payment_refund" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Enabled</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="payment_methods_excluded" type="text" translate="label" sortOrder="20" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Payment methods excluded</label>
                    <comment>Insert payments method codes and separate with a comma. To specify hpp enter the code adyen_hpp and fill in the field below.</comment>
                </field>
                <field id="adyen_hpp_methods_excluded" type="text" translate="label" sortOrder="30" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Adyen HPP methods excluded</label>
                    <comment>Insert hpp codes and separate with a comma.</comment>
                </field>
            </group>
            <group id="change_size_items" translate="label" type="select" sortOrder="40" showInDefault="1" showInWebsite="0" showInStore="0">
                <label>Change Size Items Settings</label>
                <field id="enabled" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Enabled</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="rma_status" type="multiselect" translate="label" sortOrder="20" showInDefault="1" showInWebsite="0" showInStore="0">
                    <label>Allowed Rma Status</label>
                    <source_model>\FiloBlu\Rma\Model\Config\Source\RmaItemStatuses</source_model>
                </field>
            </group>
            <group id="wrong_size_mapping" translate="label" type="select" sortOrder="40" showInDefault="1" showInWebsite="0" showInStore="0">
                <label>Wrong Size Mapping</label>
                <field id="mapping" translate="label comment" type="select" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Reasons</label>
                    <frontend_model>FiloBlu\Rma\Block\Adminhtml\System\Config\WrongSizeMapping</frontend_model>
                    <backend_model>FiloBlu\Rma\Model\Config\Backend\WrongSizeMapping</backend_model>
                </field>
            </group>
            <group id="iban_offline_payments" translate="label" type="select" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Offline Payments | Return Configurations</label>
                <field id="enabled" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Iban required for offline return</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="iban_for_payment_methods" showInDefault="1" showInWebsite="1" sortOrder="10" translate="label" type="multiselect">
                    <label>Iban required for selected payment methods</label>
                    <comment>Only for the selected payment methods the IBAN will be requested during the return phase</comment>
                    <source_model>FiloBlu\Rma\Model\Config\Source\OfflinePaymentMethodsProvider</source_model>
                    <depends>
                        <field id="enabled">1</field>
                    </depends>
                </field>
            </group>

            <group id="wrong_or_damaged_item_email" translate="label" type="select" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Wrong Or Damaged Item Email Settings</label>
                <field id="mapping" translate="label comment" type="select" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                    <label>Reasons</label>
                    <frontend_model>FiloBlu\Rma\Block\Adminhtml\System\Config\WrongOrDamagedItemMapping</frontend_model>
                    <backend_model>FiloBlu\Rma\Model\Config\Backend\WrongOrDamagedItemMapping</backend_model>
                </field>
            </group>
            <group id="bundles" showInDefault="1" showInStore="0" showInWebsite="0" sortOrder="70" translate="label">
                <label>Bundle Configuration</label>
                <field id="allow_cart_rule_application_on_shipped_separately_items" showInDefault="1" showInStore="0" showInWebsite="0" sortOrder="10" translate="label" type="select">
                    <label>Allow Cart Rule Application On Shipped Separately Items</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>

                <field id="allow_shipped_separately_items_marked_as_shipped" showInDefault="1" showInStore="0" showInWebsite="0" sortOrder="10" translate="label" type="select">
                    <label>Allow Shipped Separately Items Marked As Shipped</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
            </group>
        </section>
        <section id="payment" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="1000" translate="label">
            <group id="changesizepay" showInDefault="1" showInStore="0" showInWebsite="0" sortOrder="10" translate="label">
                <label>ChangeSizePay</label>
                <field id="active" showInDefault="1" showInStore="0" showInWebsite="0" sortOrder="10" translate="label" type="select">
                    <label>Enabled</label>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>
                <field id="title" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="20" translate="label" type="text">
                    <label>Title</label>
                </field>
                <field id="order_status" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="30" translate="label" type="select">
                    <label>New Order Status</label>
                    <source_model>Magento\Sales\Model\Config\Source\Order\Status\NewStatus</source_model>
                </field>
                <field id="allowspecific" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="40" translate="label" type="allowspecific">
                    <label>Payment from Applicable Countries</label>
                    <source_model>Magento\Payment\Model\Config\Source\Allspecificcountries</source_model>
                </field>
                <field id="specificcountry" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="50" translate="label" type="multiselect">
                    <label>Payment from Applicable Countries</label>
                    <source_model>Magento\Directory\Model\Config\Source\Country</source_model>
                    <can_be_empty>1</can_be_empty>
                </field>
                <field id="sort_order" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="60" translate="label" type="text">
                    <label>Sort Order</label>
                </field>
                <field id="instructions" showInDefault="1" showInStore="1" showInWebsite="1" sortOrder="70" translate="label" type="textarea">
                    <label>Instructions</label>
                </field>
            </group>
        </section>
    </system>
</config>
